Bug 107504 - VLAN only works with eth[0-9] not with bond[0-9]
VLAN only works with eth[0-9] not with bond[0-9]
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2003-10-19 11:43 EDT by Laurent Deniel
Modified: 2014-03-16 22:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-07 15:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to ifup (1.03 KB, patch)
2003-10-19 11:45 EDT, Laurent Deniel
no flags Details | Diff
patch to allow bonding and vlans to coexist peacefully (3.73 KB, patch)
2004-05-13 18:39 EDT, Hrunting Johnson
no flags Details | Diff

  None (edit)
Description Laurent Deniel 2003-10-19 11:43:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120

Description of problem:

The ifup script should not only rely on eth device name but should
also work with bonding when VLAN=yes.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.ifup with a script that contains VLAN=yes and DEVICE=bond0

Additional info:
Comment 1 Laurent Deniel 2003-10-19 11:45:02 EDT
Created attachment 95297 [details]
Patch to ifup
Comment 2 Bill Nottingham 2003-10-20 00:07:50 EDT
That still doesn't solve the real problem... devices don't even need to be named
ethXX or bondXX; they can be 'tom', 'joe', or 'fred' if you want.
Comment 3 Laurent Deniel 2003-10-20 14:59:42 EDT
Do you see VLAN on something else than ethernet devices ?
Anyway, redhat-config-network can only handle ethX for Ethernet device names 
... like some other scripts. So unless you fix all points, the proposed patch is
Comment 4 Bill Nottingham 2003-10-20 16:42:18 EDT
r-c-network may only be able to configure *new* devices as ethX, but it can
handle displaying configurations of devices named other things; furthermore, the
init scripts themselves can handle abitrary names.
Comment 5 Laurent Deniel 2003-10-20 17:12:31 EDT
Ok, I forgot to say that ifdown needs a fix as well.
Comment 6 Hrunting Johnson 2004-03-30 08:36:06 EST
I'd just like to chime in that it would be nice if RH supported this
officially.  It actually wouldn't be too hard to setup the ifup/down
scripts so they handled VLAN interfaces by looking for 'VLAN=yes' in
the scripts themselves, regardless of name, but the switch to
'(eth|bond)' from 'eth' is trivial.  I'm not sure why the change
hasn't been put in yet.
Comment 7 Hrunting Johnson 2004-05-13 18:39:20 EDT
Created attachment 100226 [details]
patch to allow bonding and vlans to coexist peacefully
Comment 8 Bill Nottingham 2004-05-19 16:43:12 EDT
Note the ifup/ifdown changes still have the problem mentioned above.
Comment 9 Hrunting Johnson 2004-05-19 16:58:43 EDT
Which problem?  That they don't recognize every conceivable network
name?  I know that.  The patch is just to address the 95% case, which
is that the default install of Linux sets up the ethernet devices as
ethX and the bonding instructions reference setting them up as bondX
and the standard scripted VLAN setup uses the dot notation. 
Unfortunately, right now, those three standard ideas can't be combined.

The problem as I see it is that the notion to support every possible
ethernet/vlan naming convention is holding up a patch that can fix an
issue that's affecting most standard installations involving bonded
interfaces and vlans.  This has been a problem for at least 3
generations of RedHat/Fedora releases.

Two questions:
1) Does adding this patch improve the experience for a group of
   people without negatively affecting the overall system?
2) Is there anything in the pipeline to address the larger issue
   of anything-goes device names and vlans?

If the answer to 1 is "yes" and the answer to 2 is "no", how about
throwing in the patch as a stop-gap until 2 can become "yes"?
Comment 10 Bill Nottingham 2004-06-07 15:18:20 EDT
Added in CVS, will be in future builds.
Comment 11 Ted Kaczmarek 2004-08-21 12:59:40 EDT
IN FC2 with initscripts-7.55.1-1, vconfig-1.8-2 I can't get vlan to
come up automatically like in RH9.

The below works fine in RH9, but not in FC2. Manually adding 802.1q
interface with vconfig than issuing ifup ifcfg-eth0.1819 does work

[root@cr1lapted network-scripts]# cat ifcfg-eth0.1819

Will this also be addressed?

Comment 12 Bill Nottingham 2004-08-23 15:02:38 EDT
Can you see where it's failing? This doesn't seem related to the
original bug report.
Comment 13 Jay Turner 2004-09-01 23:26:21 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

Comment 14 nsc 2012-12-12 16:08:35 EST
amazing that in 2012 in RH 5.8 this issue still exists OOTB....
Comment 15 Bill Nottingham 2012-12-12 16:15:32 EST
I greatly suspect you're seeing something different that may manifest in a similar way. I suggest filing a new issue with more details.

Note You need to log in before you can comment on or make changes to this bug.